#include <stdio.h>

#include <multiset.h>
#include <algo.h>



#pragma message "JAK: Full optimization causes endless loop!"



int  main ()
{
   cout << __FILE__ << endl;

   const int            N       = 10;
   int                  a [ N ] = {  4, 1, 1, 1, 1, 1, 0, 5, 1, 0 };
   int                  b [ N ] = {  4, 4, 2, 4, 2, 4, 0, 1, 5, 5 };

#ifndef __STL_LIMITED_DEFAULT_TEMPLATES
   multiset < int >     A ( a, a + N );
   multiset < int >     B ( b, b + N );
   multiset < int >     C;
#else
   multiset < int, less < int > >     A ( a, a + N );
   multiset < int, less < int > >     B ( b, b + N );
   multiset < int, less < int > >     C;
#endif

   cout << "Set A: ";
   copy ( A.begin (), A.end (), ostream_iterator < int > ( cout, " " ) );
   cout << endl;

   cout << "Set B: ";
   copy ( B.begin (), B.end (), ostream_iterator < int > ( cout, " " ) );
   cout << endl;

   cout << "Union: ";
   set_union        ( A.begin (), A.end (), B.begin (), B.end (), ostream_iterator < int > ( cout, " " ) );
   cout << endl;

   cout << "Intersection: ";
   set_intersection ( A.begin (), A.end (), B.begin (), B.end (), ostream_iterator < int > ( cout, " " ) );
   cout << endl;

   set_difference   ( A.begin (), A.end (), B.begin (), B.end (), inserter ( C, C.begin () ) );

   cout << "Set C (difference of A and B): ";
   copy ( C.begin (), C.end (), ostream_iterator < int > ( cout, " " ) );
   cout << endl;

   return (  0 );
}

