#include <stdio.h>

#include <stack.h>



int  main ()
{
#ifndef __STL_LIMITED_DEFAULT_TEMPLATES
   priority_queue < int >                                                           Q;
#else
   priority_queue < int, vector < int >, less < vector < int > :: value_type > >    Q;
#endif

   Q.push ( 1 );
   Q.push ( 4 );
   Q.push ( 2 );
   Q.push ( 8 );
   Q.push ( 5 );
   Q.push ( 7 );

   assert ( Q.size () == 6 );

   assert ( Q.top  () == 8 );
   Q.pop ();

   assert ( Q.top  () == 7 );
   Q.pop ();

   assert ( Q.top  () == 5 );
   Q.pop ();

   assert ( Q.top  () == 4 );
   Q.pop ();

   assert ( Q.top  () == 2 );
   Q.pop ();

   assert ( Q.top  () == 1 );
   Q.pop ();

   assert ( Q.empty () );

   return (  0 );
}