#include <stdio.h>

#include <stack.h>



int  main ()
{
#ifndef __STL_LIMITED_DEFAULT_TEMPLATES
   queue < int >                    Q;
#else
   queue < int, deque < int > >     Q;
#endif

   Q.push ( 8 );
   Q.push ( 7 );
   Q.push ( 6 );
   Q.push ( 2 );

   assert ( Q.size  () == 4 );
   assert ( Q.back  () == 2 );

   assert ( Q.front () == 8 );
   Q.pop ();

   assert ( Q.front () == 7 );
   Q.pop ();

   assert ( Q.front () == 6 );
   Q.pop ();

   assert ( Q.front () == 2 );
   Q.pop ();

   assert ( Q.empty () );

   return (  0 );
}