#include <stdio.h>

#include <stack.h>



int  main ()
{
#ifndef __STL_LIMITED_DEFAULT_TEMPLATES
   stack < int >                    S;
#else
   stack < int, deque < int > >     S;
#endif

   S.push ( 8 );
   S.push ( 7 );
   S.push ( 4 );

   assert ( S.size () == 3 );

   assert ( S.top  () == 4 );
   S.pop ();

   assert ( S.top  () == 7 );
   S.pop ();

   assert ( S.top  () == 8 );
   S.pop ();

   assert ( S.empty () );

   return (  0 );
}